Upsert Kitchen Display Controllers

post

/config/sim/v2/devices/upsertKitchenDisplayControllers

Updates provided fields if the KDS controller exists else inserts a new KDS controller.

Request

Supported Media Types
Header Parameters
Body ()
KDS Controller Upsert request body
Root Schema : schema
Type: object
Model for KDS Controllers Upsert Request
Show Source
  • The number of checks allowed to appear on the KDS before automatically bumping.
    Example: 0
  • The wait time before automatically bumping all closed orders after reaching the Check Count.
    Example: 0
  • bckupSVCHost
    An object representing the backup service host details associated with the KDS controller.
  • The number of seconds the KDS Controller waits to retrieve updates from the database.
    Example: 0
  • The ISO code of the language used to display all non-configurable text in KDS. This includes messages, title bars, column headers, and chit elements.
    Example: 1
  • A Boolean flag indicating to enable and set the Reset All Time to determine when the KDS Controller will delete all order data daily. Typically done at start of day to prevent recalling the previous day's orders.
    Example: false
  • Indicator of where to show orders when they are recalled from an Expo or SOS Display.
    Example: 0
  • File name and directory path for the text file where the KDS transaction information is stored.
    Example: file1.txt
  • File name and directory path for the text file where the KDS transaction information is stored.
    Example: file2.txt
  • File name and directory path for the text file where the KDS transaction information is stored.
    Example: file3.txt
  • Unique hierarchy unit value
    Example: 1
  • itemStatusColors

    An object containing an integer value representing the item status colors. Valid range is 0-13.

    Value Color
    0 Default
    1 Black
    2 White
    3 Blue
    4 Cyan
    5 Dark Gray
    6 Gray
    7 Light Gray
    8 Green
    9 Magenta
    10 Orange
    11 Pink
    12 Red
    13 Yellow
  • layoutColorsOverride
    An object representing the layout colors override. Values can be specified either as hexadecimal color strings (ex '#FF5733') or as the names of known colors (ex, 'Red', 'Blue'). For a complete list of known color names, refer to the List Values section of the C&C API documentation.
  • The maximum number of items that can be added to a zone.
    Example: 0
  • The URL of the IIS website where the Media Viewer is defined.
    Example: https://viewer
  • name
    Name of the KDS Controller. Required for creating new object.
  • The number of kitchen zones to use for collecting food orders.
    Example: 0
  • Object number of the KDS Controller
    Example: 1
  • A string value of 0s & 1s of length 32 representing the enablement or disablement of the options associated with the KDS Controller.
    Example: 11111111111110000000000000000000
  • Indicator of when to decrease the count of items from the production counter.
    Example: 0
  • Indicator of when to add ordered items to the production counter.
    Example: 0
  • svcHost
    An object representing the service host details associated with the KDS controller.
  • The number of seconds the KDS waits for Prep Suborders before showing an expo order as All Prep Done.
    Example: 0
Nested Schema : bckupSVCHost
Type: object
An object representing the backup service host details associated with the KDS controller.
Show Source
Nested Schema : itemStatusColors
Type: object

An object containing an integer value representing the item status colors. Valid range is 0-13.

Value Color
0 Default
1 Black
2 White
3 Blue
4 Cyan
5 Dark Gray
6 Gray
7 Light Gray
8 Green
9 Magenta
10 Orange
11 Pink
12 Red
13 Yellow
Show Source
Nested Schema : layoutColorsOverride
Type: object
An object representing the layout colors override. Values can be specified either as hexadecimal color strings (ex '#FF5733') or as the names of known colors (ex, 'Red', 'Blue'). For a complete list of known color names, refer to the List Values section of the C&C API documentation.
Show Source
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders exceeding the first alert time.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders exceeding the second alert time.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background panel color for the KDS Display.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which Course 1 items appear on the KDS.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the background color for orders on the KDS Display.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which the border of an order appears when selecting an item.
    Example: #0FF000
  • Known color name or hexadecimal value representing the RBG combination of the color in which voided items appear on the KDS.
    Example: #0FF000
Nested Schema : name
Type: object
Name of the KDS Controller. Required for creating new object.
Example:
{
    "1":"Enterprise",
    "2":"Unternehmen",
    "3":"Empresa"
}
Nested Schema : svcHost
Type: object
An object representing the service host details associated with the KDS controller.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Update operation executed successfully.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Insert operation executed successfully.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top